#!/bin/bash

currentDir=$(echo ${PWD##*/} | awk '{print tolower($0)}')
fileOut=${currentDir}_checksums.inl
toolDir="/mnt/c/Users/james/Dev/TrueAxis/Projects/Skate/raw/bin"

echo "const int g_pnChecksums_${currentDir}[] =
{" > ${fileOut}

for file in ./*
do
	checksumFulloutput=`${toolDir}/ChecksumTool.exe ${file} | grep Checksum\: | sed 's/|//' | sed 's/|//' | sed 's/,//' | sed 's/\n//'`
    checksumList=(${checksumFulloutput// / })
    echo "${checksumList[3]}," >> $fileOut
done

echo "0xFFFFFFFF
};

" >> ${fileOut}

cat $fileOut
